No Description
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

package.json 1.8KB

1234567891011121314151617181920212223242526272829303132333435363738394041
  1. {
  2. "name": "ssb-patchwork",
  3. "version": "0.0.4",
  4. "description": "",
  5. "main": "app/index.js",
  6. "scripts": {
  7. "start": "electron .",
  8. "clean": "rm -Rf ./dist",
  9. "clean:osx": "rm -Rf ./dist/osx",
  10. "clean:win": "rm -Rf ./dist/win",
  11. "build": "npm run clean && npm run build:osx && npm run build:win",
  12. "build:icon": "./scripts/make-icns.sh assets/icon1024.png assets/osx/scuttlebot.icns",
  13. "build:osx": "electron-packager ./ Scuttlebot --out=dist/osx --platform=darwin --arch=x64 --ignore=node_modules/electron* --version=0.28.3 --icon=assets/osx/scuttlebot.icns",
  14. "build:win": "electron-packager ./ Scuttlebot --out=dist/win --platform=win32 --arch=ia32 --ignore=node_modules/electron* --version=0.28.3 --icon=assets/win/scuttlebot.ico",
  15. "build:nix": "electron-packager ./ scuttlebot --out=dist/linux --platform=linux --arch=x64 --ignore=node_modules/electron* --version=0.28.3 --icon=assets/osx/scuttlebot.icns",
  16. "pack": "npm run pack:osx && npm run pack:win",
  17. "pack:osx": "electron-builder \"dist/osx/Scuttlebot.app\" --platform=osx --out=\"dist/osx\" --config=packager.json",
  18. "pack:win": "electron-builder \"dist/win/Scuttlebot-win32\" --platform=win --out=\"dist/win\" --config=packager.json"
  19. },
  20. "author": "Paul Frazee <pfrazee@gmail.com>",
  21. "license": "?",
  22. "devDependencies": {
  23. "electron-builder": "^2.0.0",
  24. "electron-packager": "^4.1.3",
  25. "electron-prebuilt": "^0.28.2"
  26. },
  27. "dependencies": {
  28. "multiblob": "^1.5.0",
  29. "multicb": "^1.1.0",
  30. "muxrpc": "^6.1.1",
  31. "pull-ipc": "0.0.1",
  32. "pull-pushable": "^1.1.4",
  33. "pull-stream": "^2.27.0",
  34. "scuttlebot": "~7.0.2",
  35. "ssb-config": "^1.0.3",
  36. "ssb-keys": "^4.0.3",
  37. "ssb-patchwork-api": "~0.0.6",
  38. "ssb-patchwork-ui": "~0.0.13",
  39. "stream-to-pull-stream": "^1.6.1"
  40. }
  41. }